rxlev_stat.h File Reference

Go to the source code of this file.

## Data Structures

struct | rxlev_stats

## Macros

#define | NUM_RXLEVS 32
#define | NUM_ARFCNS 1024

## Functions

void | rxlev_stat_input (struct rxlev_stats *st, uint16_t arfcn, uint8_t rxlev)
int16_t | rxlev_stat_get_next (const struct rxlev_stats *st, uint8_t rxlev, int16_t arfcn)
void | rxlev_stat_reset (struct rxlev_stats *st)
void | rxlev_stat_dump (const struct rxlev_stats *st)

## Variables

struct rxlev_stats | __attribute__

## Macro Definition Documentation

## NUM_ARFCNS

#define NUM_ARFCNS 1024

## NUM_RXLEVS

#define NUM_RXLEVS 32

## Function Documentation

## rxlev_stat_dump()

void rxlev_stat_dump | ( | const struct rxlev_stats * | st | ) |

References NUM_RXLEVS, and rxlev_stat_get_next().

## rxlev_stat_get_next()

int16_t rxlev_stat_get_next | ( | const struct rxlev_stats * | st,
|  | uint8_t | rxlev,
|  | int16_t | arfcn
| ) |  |

References NUM_ARFCNS, NUM_RXLEVS, and rxlev_stats::rxlev_buckets.

Referenced by rxlev_stat_dump().

## rxlev_stat_input()

void rxlev_stat_input | ( | struct rxlev_stats * | st,
|  | uint16_t | arfcn,
|  | uint8_t | rxlev
| ) |  |

References NUM_ARFCNS, NUM_RXLEVS, and rxlev_stats::rxlev_buckets.

## rxlev_stat_reset()

void rxlev_stat_reset | ( | struct rxlev_stats * | st | ) |

## Variable Documentation

## __attribute__

struct rxlev_stats __attribute__